// Library Author Erik Linder, SM0RVV
// Released 2011 under GNU GPLv3
// modified version by Klaus Hirschelmann, DJ7OO
//
// Usage: morse( <pin number>, <speed WPM>, <1=beep, 0=PTT> )
//        sendmsg( "<text-to-send>" )

#include <Morse.h>

Morse morse(10, 16, 0);

/////////////////////////////////////////////
void setup()
{
 Serial.begin(9600);
 Serial.println("Open");
 pinMode( 13, OUTPUT );
 pinMode( 3, INPUT_PULLUP );
 pinMode( 4, INPUT_PULLUP );
 pinMode( 5, INPUT_PULLUP );
 pinMode( 6, INPUT_PULLUP );
 pinMode( 9, INPUT_PULLUP);
 if (digitalRead(9)==LOW)  { Morse morse(10, 16, 1); } 
}

/////////////////////////////////////////////
void loop()
{
  Serial.println("Start");
  digitalWrite(13, HIGH );
  delay(100);
       if (digitalRead(3)==LOW)  { morse.sendmsg("DJ7OO"); }
  else if (digitalRead(4)==LOW)  { morse.sendmsg("DJ7OO JN49CX"); }
  else if (digitalRead(5)==LOW)  { morse.sendmsg("CQ CQ CQ DE DJ7OO"); }
  else if (digitalRead(6)==LOW)  { morse.sendmsg("TEST TEST TEST DE DJ7OO"); } 
  delay(100);
  digitalWrite(13, LOW );

// variable delay depending on #A0 analog value 
   int val,z,calc;
   val = analogRead(A0);                       // read analog value from poti ( 0 to 1023 )
   calc = map(val,0,1023,2,60);
   calc = 30;                                  // deactivate when NOT using fixvalue 30 secs. 
   Serial.println("Stop"); Serial.print("Delay: "); Serial.print(calc); Serial.println(" secs.");
   for(z=1; z<(calc); z++)  { delay(1000); }   // delay = 2-60 Secs. 
}


